Ticket #42722

OPTIND holds invalid vars

Eröffnet am: 2021-08-18 22:45 Letztes Update: 2021-09-11 21:58

Auswertung:
(Anonym)
Verantwortlicher:
(Keine)
Typ:
Status:
Geschlossen
Komponente:
(Keine)
Meilenstein:
(Keine)
Priorität:
5 - Mittel
Schweregrad:
5 - Mittel
Lösung:
Ungültiger
Datei:
Keine
Vote
Score: 0
No votes
0.0% (0/0)
0.0% (0/0)

Details

---src.sh #!/bin/sh set -- -h getopts "h" c echo "$c $OPTIND" --- ~$ dash src.sh #>> h 2 ~$ bash src.sh #>> h 2 ~$ yash src.sh #>> h 1:2

system env: ~$ yash --version #>> 2.48(apt) & 2.51(source-build) ~$ uname -r #>> 4.19.0-17-686 (Debian buster)

Ticket-Verlauf (3/4 Historien)

2021-08-18 22:45 Aktualisiert von: None
  • New Ticket "OPTIND holds invalid vars" created
2021-08-18 22:51 Aktualisiert von: None
Kommentar
マークアップとかダウンとかなんなのよ。訂正再送。
---src.sh
#!/bin/sh
set -- -h
getopts "h" c
echo "$c $OPTIND"
---
~$ dash src.sh  #>> h 2
~$ bash src.sh  #>> h 2
~$ yash src.sh  #>> h 1:2

system env:
~$ yash --version #>> 2.48 & 2.51
~$ uname -r #>> 4.19.0-17-686 (Debian buster)
2021-08-19 00:39 Aktualisiert von: magicant
Kommentar

Why do you think the OPTIND is invalid? Could you describe the issue specifically and state the expected behavior?

2021-09-11 21:58 Aktualisiert von: magicant
  • Status Update from Offen to Geschlossen
  • Lösung Update from Keine to Ungültiger
Kommentar

Closing as this is not a bug.

Dateianhangliste

Keine Anhänge

Bearbeiten

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Anmelden